Attribute VB_Name = "declare"
'//////////////////////////////////////////////////////////////
'//
'//  Description : PDF Write library
'//  Author      : verypdf.com Inc
'//  Version     : Ver 1.1
'//  Platform    : Windows95/98/Me/NT/2000
'//  Environment : Visual C++ 6.0, Visual Basic 6.0
'//  Date    : 2002/04/03
'//
'//  Copyright(C) 2000--2005 verypdf.com Inc
'//
'//  Contact infomation:
'//        http://www.verypdf.com/
'//        support@verypdf.com
'//        *******************
'//
'//  Description:
'//
'//    This is a COM interface for the verywrite.dll file, you
'//  can call this COM component from VC++, VB, Delphi, ASP, .NET
'//  programs easily.
'//
'//////////////////////////////////////////////////////////////


'PDF Create and Append COM/DLL functions

Public Declare Function VeryCreate Lib "verywrite.dll" (ByVal filename As String) As Long

Public Declare Function VeryOpen Lib "verywrite.dll" (ByVal filename As String) As Long

Public Declare Function VeryClose Lib "verywrite.dll" (ByVal Very_ID As Long) As Long
 
Public Declare Function VeryAddImage Lib "verywrite.dll" (ByVal Very_ID As Long, ByVal filename As String) As Long

Public Declare Function VeryAddImageData Lib "verywrite.dll" (ByVal Very_ID As Long, ByVal Data As Long, ByVal width As Long, _
                                ByVal height As Long, ByVal color As Long) As Long

Public Declare Function VeryAddTextEx Lib "verywrite.dll" (ByVal Very_ID As Long, ByVal x As Long, ByVal y As Long, ByVal str As String, _
            ByVal color As Long) As Long
 

Public Declare Function VeryAddText Lib "verywrite.dll" (ByVal Very_ID As Long, ByVal x As Long, ByVal y As Long, ByVal width As Long, ByVal height _
        As Long, ByVal str As String, ByVal color As Long, ByVal BkColor As Long, ByVal lFormat As Long) As Long
    
 
Public Declare Function VeryAddTxt Lib "verywrite.dll" (ByVal Very_ID As Long, ByVal filename As String, ByVal color As Long, ByVal PageWidth _
                     As Long, ByVal PageHeight As Long, ByVal AutoNewLine As Long, ByVal AutoWidthAdjust As Long, _
                     ByVal LeftMargin As Long, ByVal RightMargin As Long, _
                     ByVal TopMargin As Long, ByVal BottomMargin As Long, ByVal TabSize As Long) As Long

Public Declare Function VeryAddLine Lib "verywrite.dll" (ByVal Very_ID As Long, ByVal sx As Long, ByVal sy As Long, ByVal ex As Long, ByVal ey As Long, _
                    ByVal width As Long, ByVal color As Long) As Long

 
Public Declare Function VeryAddRect Lib "verywrite.dll" (ByVal Very_ID As Long, ByVal sx As Long, ByVal sy As Long, ByVal ex As Long, ByVal ey As Long, _
                ByVal side_width As Long, ByVal side_color As Long, ByVal flagFill As Long, ByVal fill_color As Long) As Long
    

Public Declare Function VeryAddCircle Lib "verywrite.dll" (ByVal Very_ID As Long, ByVal sx As Long, ByVal sy As Long, ByVal Radius As Long, ByVal side_width As Long _
                    , ByVal side_color As Long, ByVal flagFill As Long, ByVal fill_color As Long) As Long


Public Declare Function VeryAddEllipse Lib "verywrite.dll" (ByVal Very_ID As Long, ByVal sx As Long, ByVal sy As Long, ByVal ex As Long, ByVal ey As Long, _
        ByVal side_width As Long, ByVal side_color As Long, ByVal flagFill As Long, ByVal fill_color As Long) As Long
    

Public Declare Function VeryAddPolygon Lib "verywrite.dll" (ByVal Very_ID As Long, ByRef LPPoints As POINT, ByVal iCount As Long, _
            ByVal side_width As Long, ByVal side_color As Long, ByVal flagFill As Long, ByVal fill_color As Long) As Long

 
Public Declare Function VeryAddCurveTo Lib "verywrite.dll" (ByVal Very_ID As Long, ByVal sx As Long, ByVal sy As Long, ByVal x1 As Long, ByVal y1 As Long, _
            ByVal X2 As Long, ByVal Y2 As Long, ByVal X3 As Long, ByVal Y3 As Long, ByVal side_width As Long, ByVal side_color As Long) As Long

 
Public Declare Function VeryAddInfo Lib "verywrite.dll" (ByVal Very_ID As Long, ByVal Title As String, ByVal Subject As String, ByVal Author As String, _
                     ByVal Keywords As String, ByVal Creator As String) As Long

Public Declare Function VeryAddInfoEx Lib "verywrite.dll" (ByVal id As Long, ByVal key As String, ByVal value As String, ByVal iLen As Long) As Long

Public Declare Function VerySetFunction Lib "verywrite.dll" (ByVal Very_ID As Long, ByVal Code As Long, ByVal Para1 As Long, ByVal Para2 As Long, _
                ByVal Para3 As String, ByVal Para4 As String) As Long


Public Declare Function VeryGetFunction Lib "verywrite.dll" (ByVal Very_ID As Long, ByVal Code As Long, ByVal Para1 As Long, ByVal Para2 As Long, _
            ByVal Para3 As String, ByVal Para4 As String) As Long
 

'PDF Password Remover COM/DLL functions


Public Declare Function VeryDecryptPDF Lib "verywrite.dll" (ByVal inFileName As String, ByVal outFileName As String, ByVal OwnerPassword As String, _
    ByVal UserPassword As String) As Long
    

Public Declare Function VeryIsPDFEncrypted Lib "verywrite.dll" (ByVal inFileName As String) As Boolean

 'EncryptPDF COM/DLL functions
Public Declare Function VeryEncryptPDF Lib "verywrite.dll" (ByVal inFileName As String, ByVal outFileName As String, _
    ByVal EnctyptLen As Long, ByVal Permission As Long, ByVal OwnerPassword As String, ByVal UserPassword As String) As Long
 
Public Declare Function VeryTestEncryptedPDF Lib "verywrite.dll" (ByVal inFileName As String, ByVal OwnerPassword As String, _
    UserPassword As String) As Boolean
    

'PDF Split-Merge SDK functions

Public Declare Function VerySplitMergePDF Lib "verywrite.dll" (ByVal lpCommandLine As String) As Long
Public Declare Function VeryAppendPDF Lib "verywrite.dll" (ByVal ptrExistingPDFName As String, ByVal ptrAppendPDF As String) As Long
  
'PDF Stamp SDK functions
Public Declare Function VeryStampOpen Lib "verywrite.dll" (ByVal InputFile As String, ByVal OutputFile As String) As Long


Public Declare Sub VeryStampClose Lib "verywrite.dll" (ByVal id As Long)

Public Declare Function VeryStampAddText Lib "verywrite.dll" (ByVal id As Long, ByVal Position As Long, ByVal str As String, ByVal color As Long, _
    ByVal Alignment As Long, ByVal Shift_LR As Long, ByVal Shift_TB As Long, ByVal Rotate As Long, ByVal layer As Long, ByVal Hollow As Long, _
    ByVal FontCode As Long, ByVal FontName As String, ByVal FontSize As Long, ByVal Action As Long, ByVal Link As String, ByVal pageno As Long) As Long
    

Public Declare Function VeryStampAddImage Lib "verywrite.dll" (ByVal id As Long, ByVal Position As Long, ByVal filename As String, ByVal Shift_LR As Long, _
                        ByVal Shift_TB As Long, ByVal Rotate As Long, ByVal layer As Long, ByVal ZoomW As Long, ByVal ZoomH As Long, _
                        ByVal Action As Long, ByVal Link As String, ByVal pageno As Long) As Long

Public Declare Function VeryStampAddImageEx Lib "verywrite.dll" (ByVal id As Long, ByVal Position As Long, ByVal filename As String, ByVal Shift_LR As Long, _
                        ByVal Shift_TB As Long, ByVal Rotate As Long, ByVal layer As Long, ByVal width As Long, ByVal height As Long, _
                        ByVal Action As Long, ByVal Link As String, ByVal pageno As Long) As Long

Public Declare Function VeryStampAddLine Lib "verywrite.dll" (ByVal id As Long, ByVal Position As Long, ByVal LineWidth As Long, ByVal color As Long, _
            ByVal Shift_LR As Long, ByVal Shift_TB As Long, ByVal Rotate As Long, ByVal layer As Long, _
            ByVal ZoomW As Long, ByVal ZoomH As Long) As Long
            
Public Declare Function VeryStampAddLineEx Lib "verywrite.dll" (ByVal id As Long, ByVal sx As Long, _
    ByVal sy As Long, ByVal ex As Long, ByVal ey As Long, ByVal width As Long, ByVal color As Long) As Long

Public Declare Function VeryStampSetFunction Lib "verywrite.dll" (ByVal id As Long, ByVal Code As Long, ByVal Para1 As Long, ByVal Para2 As Long, _
    ByVal Para3 As String, ByVal Para4 As String) As Long

Public Declare Function VeryStampGetFunction Lib "verywrite.dll" (ByVal Very_ID As Long, ByVal Code As Long, ByVal Para1 As Long, ByVal Para2 As Long, _
    ByVal Para3 As String, ByVal Para4 As String) As Long

Public Declare Function VeryStampUndo Lib "verywrite.dll" (ByVal filename As String) As Long

Public Declare Function VeryStampLayerOpen Lib "verywrite.dll" (ByVal InFile As String, ByVal OutFile As String, ByVal lpFGLayerName As String, ByVal lpBGLayerName As String) As Long

Public Declare Function VeryStampAddRect Lib "verywrite.dll" (ByVal id As Long, ByVal sx As Long, _
    ByVal sy As Long, ByVal ex As Long, ByVal ey As Long, ByVal side_width As Long, ByVal side_color As Long, _
    ByVal flagFill As Long, ByVal fill_color As Long) As Long

'Image Stamp SDK functions
Public Declare Function ImageStampOpen Lib "verywrite.dll" (ByVal strIn As String, ByVal strOut As String) As Long

Public Declare Sub ImageStampClose Lib "verywrite.dll" (ByVal id As Long)

Public Declare Function ImageStampShow Lib "verywrite.dll" (ByVal id As Long, ByVal hDC As Long, ByRef lprcDst As RECT, ByRef lprcSrc As RECT) As Long

Public Declare Function ImageStampGetDIB Lib "verywrite.dll" (ByVal id As Long, ByRef lpDIBData As Variant) As Long

Public Declare Function ImageStampAddText_VB Lib "verywrite.dll" (ByVal id As Long, ByVal x As Long, ByVal y As Long, ByVal m_Text As String, _
                            ByVal color As Long, ByVal style As Long, _
                            ByVal nPointSize As Long, ByVal nOrientation As Long, ByVal lpszFaceName As String) As Long

Public Declare Function ImageStampAddText Lib "verywrite.dll" (ByVal id As Long, ByVal x As Long, _
    ByVal y As Long, ByVal text As String, ByVal color As Long, ByRef font As LOGFONT, ByVal style As Long)
                            
Public Declare Function ImageStampAddImage Lib "verywrite.dll" (ByVal id As Long, ByVal x As Long, ByVal y As Long, ByVal width As Long, _
                            ByVal height As Long, ByVal filename As String, ByVal bTransparent As Boolean) As Long
                            
Public Declare Function ImageStampAddLine Lib "verywrite.dll" (ByVal id As Long, ByVal x0 As Long, _
    ByVal y0 As Long, ByVal x1 As Long, ByVal y1 As Long, ByVal width As Long, ByVal color As Long, _
    ByVal style As Long) As Long
                            
         
Public Declare Function ImageStampGetInfo Lib "verywrite.dll" (ByVal id As Long, ByRef lpbi As BITMAPINFOHEADER) As Long

Public Declare Function ImageStampPrint Lib "verywrite.dll" (ByVal id As Long, ByVal ptrPrintName As String, ByVal dmOrientation As Long, _
                ByVal dmPaperSize As Long, ByVal dmCopies As Long) As Long
 
Public Declare Function ImageStampCloseAndNotSave Lib "verywrite.dll" (ByVal id As Long) As Long

Public Declare Function ImageStampSetPageRange Lib "verywrite.dll" (ByVal id As Long, ByVal lpPageRange As String) As Long

Public Declare Function ImageStampGetDIBLength Lib "verywrite.dll" (ByVal id As Long) As Long

Public Declare Function ImageStampSetLibDirectoryName Lib "verywrite.dll" (ByVal strLibDir As String) As Long

Public Declare Function ImageStampGetHDC Lib "verywrite.dll" (ByVal id As Long) As Long

Public Declare Function ImageStampReleaseHDC Lib "verywrite.dll" (ByVal id As Long, ByVal hDC As Long) As Long

'Repair a damaged PDF file
Public Declare Function VeryRepairPDF Lib "verywrite.dll" (ByVal inputPDF As String, ByVal outputPDF As String) As Long

Public Declare Function VeryGetPDFFileMediaBox Lib "verywrite.dll" (ByVal inputPDF As String, ByVal pagenum As Long, _
    ByRef left As Single, ByRef top As Single, ByRef right As Single, ByRef bottom As Single) As Long

'Get page count from a PDF file
Public Declare Function VeryGetPDFFilePageCount Lib "verywrite.dll" (ByVal inputPDF As String) As Long
Public Declare Function VeryGetPDFFilePageCount2 Lib "verywrite.dll" (ByVal inputPDF As String) As Long
Public Declare Function VeryGetPDFFilePageCountFast Lib "verywrite.dll" (ByVal inputPDF As String) As Long

'Convert image file to PDF file directly
Public Declare Function VeryConvertImageToPDF Lib "verywrite.dll" (ByVal inputPDF As String, ByVal outputPDF As String, ByVal options As String) As Long

'Run a command line
Public Declare Function VeryRunCommand Lib "verywrite.dll" (ByVal szCommand As String, ByVal Para1 As Long, ByVal Para2 As Long, ByVal Para3 As String, ByVal Para4 As String) As Long

Public Declare Function VeryShellPrintPDFFileTimeOut Lib "verywrite.dll" (ByVal dwMilliseconds As Long) As Long

Public Declare Function VeryShellPrintPDFFileMargins Lib "verywrite.dll" (ByVal lMargins As Long) As Long

Public Declare Function ImageStampPrintEx Lib "verywrite.dll" (ByVal id As Long, ByVal strPrintName As String, ByVal dmOrientation As Long, _
    ByVal dmPaperSize As Long, ByVal dmCopies As Long, ByVal bShellPrint As Long) As Long

Public Declare Function VeryPrintPDFFile Lib "verywrite.dll" (ByVal lpPDFFileName As String, _
    ByVal ptrPrintName As String, ByVal dmOrientation As Long, ByVal dmPaperSize As Long, ByVal dmCopies As Long) As Long

Public Declare Function VeryShellPrintPDFFileEx Lib "verywrite.dll" (ByVal lpPDFFileName As String, _
    ByVal ptrPrintName As String, ByVal dmOrientation As Long, ByVal dmPaperSize As Long, ByVal dmCopies As Long, _
    ByVal bShellPrint As Long) As Long

Public Declare Function VeryShellPrintPDFFile Lib "verywrite.dll" (ByVal lpPDFFileName As String, _
    ByVal ptrPrintName As String, ByVal dmOrientation As Long, ByVal dmPaperSize As Long, ByVal dmCopies As Long) As Long

Public Declare Function VeryStampAddRectWithLayer Lib "verywrite.dll" (ByVal id As Long, ByVal sx As Long, ByVal sy As Long, _
    ByVal ex As Long, ByVal ey As Long, ByVal side_width As Long, ByVal side_color As Long, ByVal flagFill As Long, _
    ByVal fill_color As Long, ByVal layer As Long) As Long

Public Declare Function VeryStampReg Lib "verywrite.dll" (ByVal reg As String) As Long

Public Declare Function VeryGetPDFFileInfo Lib "verywrite.dll" (ByVal inputPDF As String, ByVal output As String) As Long

Public Declare Function VeryGetPDFFileInfoEx Lib "verywrite.dll" (ByVal inputPDF As String, ByVal sTitle As String, ByVal sSubject As String, _
                                   ByVal sAuthor As String, ByVal sKeywords As String, ByVal sCreator As String, _
                                   ByVal sProducer As String, ByVal sVersion As String, ByVal sPageCount As String, _
                                   ByVal sCreatedDate As String, ByVal sModifyDate As String) As Long

Public Declare Function VerySplitMergePDFEx Lib "verywrite.dll" (ByVal lpInputPDF As String, ByVal lpPageRange As String, ByVal lpOutPDF As String) As Long
Public Declare Function VeryMergePDFFiles Lib "verywrite.dll" (ByVal lpMergePDFFiles As String, ByVal lpOutPDF As String) As Long

Public Declare Function TIFFImageGetPageCount Lib "verywrite.dll" (ByVal inputTIFFFile As String) As Long
Public Declare Function TIFFImageGetColors Lib "verywrite.dll" (ByVal inputTIFFFile As String, ByVal pageno As Long) As Long
Public Declare Function TIFFImageGetCompression Lib "verywrite.dll" (ByVal inputTIFFFile As String, ByVal pageno As Long) As Long
Public Declare Function TIFFImageSetOptions Lib "verywrite.dll" (ByVal inputTIFFFile As String, ByVal pageno As Long, ByVal colors As Long, ByVal compression As Long) As Long

Public Declare Sub VerySetLicenseKey Lib "verywrite.dll" (ByVal lpLicenseKey As String)
